---
title: Window.setCursor()
slug: Web/API/Window/setCursor
tags:
  - API
  - DOM_0
  - Method
  - Non-standard
  - Reference
  - Window
---
<div>{{ ApiRef() }} {{Non-standard_header}}</div>

<p>The <code><strong>Window.setCursor()</strong></code> method sets the cursor for the current window.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">function setBusyCursor(enable) {
  window.setCursor(enable ? "wait" : "auto");
}</pre>

<h2 id="Notes">Notes</h2>

<p>The cursor isn't reset until it's set back to <code>auto</code>.</p>

<p>This function is a part of <a href="/en-US/docs/XPCOM_Interface_Reference/nsIDOMChromeWindow">ChromeWindow interface</a>. This function is unavailable to web pages, which can use the CSS {{cssxref("cursor")}} property instead.</p>

<h2 id="Specifications">Specifications</h2>

<p>This is not part of any specification.</p>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.Window.setCursor")}}</p>
